Create translation (not supported by some models)
Translate audio to English text. Official documentation: https://platform.openai.com/docs/api-reference/audio/createTranslation
POST
/v1/audio/translationsBody Parameters
file* string · binary
Audio file to be translated in format: flac, mp3, mp4, mpeg, mpga, m4a, ogg, wav or webm.
model* string
Currently whisper-1 etc.
prompt string
Text prompt
response_format string
Response format constraint
temperature number
Sampling temperature; higher is more random
Responses
200 OK application/json
response-200 object
properties text* string
Text content
400 Bad request or validation failed application/json
response-400 object
properties error* object
401 Missing or invalid API Key application/json
response-401 object
1{
2"file": "<binary>",
3"model": "string"
4}
1curl -X POST "https://api.digislash.com/v1/audio/translations" \
2-H "Authorization: Bearer <API Key>" \
3-F "file=@<binary>" \
4-F "model=string" \
5-F "prompt=" \
6-F "response_format=" \
7-F "temperature="
1▼{
2"text": "Hello, my name is Wolfgang and I come from Germany. Where are you heading today?"
3}
